Leetcode - Maximum XOR of Two Numbers in an Array (Python)

Ғылым және технология

September 2020 Leetcode Challenge
Leetcode - Maximum XOR of Two Numbers in an Array

Пікірлер: 19

  • @CEOofTheHood
    @CEOofTheHood3 жыл бұрын

    I like how you flat out state you didn't come up with the solution. It makes u relateable.

  • @timc3406

    @timc3406

    3 жыл бұрын

    Thanks man I don't want to pretend like I'm a leetcode god

  • @sidharthpanda8557
    @sidharthpanda85573 жыл бұрын

    I think this is the way we actually solve. We don't just know a solution. Other videos are way too straight forward. This way we can know what possibilities can we can explore and not just have a single way in the mind. Good work

  • @timc3406

    @timc3406

    3 жыл бұрын

    Thanks so much!

  • @edwardteach2
    @edwardteach22 жыл бұрын

    Glad I found this solution compared to the Trie solution ( 6000 ms) which took 100's of hundred lines of code was a little bit complex to understand.

  • @siddharthsingh4330
    @siddharthsingh43303 жыл бұрын

    Bitwise are the worst I always struggle to visualize the left shift and right shift part in these types of problems plus these are never asked in any Interviews round.

  • @timc3406

    @timc3406

    3 жыл бұрын

    I've never been asked a bitwise question at an interview but they keep coming up on leetcode! Still it's probably not a bad thing to know, at least the basic concepts

  • @rtql8d
    @rtql8d3 жыл бұрын

    Somehow my 2700ms brute force solution in JS was accepted lol

  • @timc3406

    @timc3406

    3 жыл бұрын

    Lol I think brute force solutions are highly underrated tbh

  • @gauravpandey543

    @gauravpandey543

    2 жыл бұрын

    @@timc3406 time does not mean the answer is optimised and brute force naaa acceptance does not mean u r right

  • @atharm.7319
    @atharm.7319 Жыл бұрын

    Doing this problem with a Trie first will make this clever solution more apparent.

  • @janmichaelaustria620
    @janmichaelaustria6203 жыл бұрын

    ughh, this problem is just bleaghhhh.good to know i wasn't the only one who took a peek at the solution too ^.^;

  • @timc3406

    @timc3406

    3 жыл бұрын

    Yeah it was a really tough one, I'll need to keep brushing up on this bitwise problems if I'me ever to improve on them

  • @andrewvirtual
    @andrewvirtual Жыл бұрын

    you explained it so well compared to the Geeksforgeeks videos on the same topic

  • @midhileshmomidi2434
    @midhileshmomidi24343 жыл бұрын

    O(n²) is not accepting

  • @CEOofTheHood

    @CEOofTheHood

    3 жыл бұрын

    wants linear time prolly TLE

  • @6014240

    @6014240

    3 жыл бұрын

    the problem statement says "could you do it in O(n)" but it actually kind of forces you to do it with their time limits

  • @timc3406

    @timc3406

    3 жыл бұрын

    Exactly!

  • @timc3406

    @timc3406

    3 жыл бұрын

    Yup it says to try solving in O(n) time in the problem statement

Келесі